[API]
CreateDialogIndirectParamA
CreateDialogIndirectParamW

[INCLUDE]
LoadResEx_Data

[CODE]
Public Function CreateDialogIndirectParam(ByVal ResDialogID As Long, ByVal hWndParent As Long, ByVal lpDialogFunc As Long, ByVal dwInitParam As Long, Optional ByVal hModule As Long) As Long
  Dim xChar1 As String
  
  xChar1 = LoadResEx_Data("#" + CStr(ResDialogID), "#5", True)
  If Not Len(xChar1) = 0& Then
    If hModule = 0& Then hModule = App.hInstance
    If IsUnicode Then
      CreateDialogIndirectParam = CreateDialogIndirectParamW(hModule, xChar1, hWndParent, lpDialogFunc, dwInitParam)
      Else
      CreateDialogIndirectParam = CreateDialogIndirectParamA(hModule, xChar1, hWndParent, lpDialogFunc, dwInitParam)
      End If
    End If
  End Function
